import { jsx } from "react/jsx-runtime";
import { Spiral as Spiral$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Spiral = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Spiral", ...props, children: /* @__PURE__ */ jsx(Spiral$1, { weight: variant }) });
  }
);
Spiral.displayName = "Spiral";
Object.assign(Spiral, { isGdsIcon: true });
export {
  Spiral
};
